#ifndef RF02_h
#define RF02_h

extern void rf02_trans(unsigned short wert);
extern void rf02_init(void);							// init functions
extern void rf02_setmodfreq(unsigned char bandwidth);	// set modulation deviation
extern void rf02_setfreq(unsigned short freq);			// set tx frequency
extern void rf02_setpower(unsigned char power);			// set power (0-7)
extern void rf02_setbaud(unsigned short baud);			// set baudrate
//extern void rf02_txdata(unsigned char *data, unsigned char number);	// tx data
//extern void rf02_txdata(data_struct *data);
extern void rf02_txdata(uint8_t *data);
extern void rf02_shiftout(unsigned char wert);

extern void blinkLED(void);
extern void makePulse(char numberOfPulses);

#define RF02FREQ(freq)	((freq-430.0)/0.0025)

#endif
